注册 登录
明经CAD社区 返回首页

ZZXXQQ的个人空间 http://www.mjtd.com/?97616 [收藏] [复制] [分享] [RSS]

ZZXXQQ

论坛年度贡献勋章' 

统计信息

已有 3410 人来访过

    现在还没有相册

  • 晓东两天不能发贴了。 回复
  • 性别
  • 生日
  • 公司退休
  • 职业机械
  • 职位高工

查看全部个人资料

    现在还没有动态

统计当前图中的图块数量 2005-08-19
;统计图块数量 (DEFUN C:SUMBLK ()  (IF (SETQ SS (SSGET "X" (LIST (CONS 0 "INSERT")))) (PROGN   (SETQ SL (SSLENGTH SS) I 0 BL (LIST)) &nbs ...
(1985)次阅读|(3)个评论
将目录中的DWG文件批量转换成DXF文件(FOR R14) 2005-07-26
(1492)次阅读|(2)个评论
粗糙度标注 2005-07-20
(DEFUN C:ROUGH ()  (SETVAR "CMDECHO" 0)  (SETQ OLDOS1 (GETVAR "OSMODE")  SC (GETVAR "DIMSCALE")  H (* (IF (> SC 0) ...
(1396)次阅读|(1)个评论

查看更多

你需要登录后才可以留言 登录 | 注册


luojie110 2017-12-6 15:04
版主,您好。编译时出错,; 错误: 参数值错误: 非负: -1   如何解决?
皇上快溜 2016-11-3 16:39
谢谢老大
皇上快溜 2016-8-7 16:08
ZZXXQQ: (setq pt3 (polar pt2 (angle pt1 pt2) 10))
谢谢老大,梦寐以求的功能实现了
皇上快溜 2016-8-6 14:41
老大你好,这段小代码想定义那个“pt3"不知道怎么定义,想请你指点一下,打扰了,谢谢你
(defun c:qaqa()
(setq pt1 (getpoint "\n基点:"))
   pt2 (getpoint pt1 "\n确定方向的第二点:")
   pt3 (list
(Pt3=(PT1+ 10))
就是pt3在沿pt1和pt2确定的方向上,距离pt1正交10mm的位置
皇上快溜 2016-7-9 14:00
ZZXXQQ: (if(/= nam "")
             (progn
                     (command "text" (polar p0 (* pi 1.5) (* dz(+ (* (getvar "di ...
谢谢版主,程序很好用,谢谢
皇上快溜 2016-7-8 12:38
版主你好。我这有个小程序,它输出文本的行间距是固定的,2.5。能不能让它的行间距随字高的变化自动变化,如字高的0.8倍?      (if(/= nam "")              (progn                      (command "text" (polar p0 (* pi 1.5) (* dz(+ 2.5 (getvar "dimtxt")))) (getvar "dimtxt") "0" nam)                     &nbs ... ...
皇上快溜 2016-7-3 00:23
你好,请你帮我看看这个好吗?
http://bbs.mjtd.com/thread-172629-1-1.html
皇上快溜 2016-7-1 16:19
ZZXXQQ: (command "_.leader" pause pause "" "" "" (strcat "正面铣深" (getstring "深 ...
谢谢版主大人,你小小一改动,让我完善了很多应用
皇上快溜 2016-7-1 16:19
ZZXXQQ: (command "_.leader" pause pause "" "" "" (strcat "正面铣深" (getstring "深 ...
谢谢版主大人,你小小一改动,让我完善了很多应用
皇上快溜 2016-6-30 15:42
ZZXXQQ版主好,感谢你在http://bbs.mjtd.com/thread-172581-1-1.html的指点,让我改了好几个程序,,,

我这还有一个小程序想请你教我一下
(defun c:ZMX()
(command "_.leader" pause pause "" "" "" "正面铣深0.00" "" )(princ))
想让文本 "正面铣深0.00" 中的 “0.00” 可以在命令行中人工输入数值
请问,要添加些什么词句?
wuzheng80425 2015-12-14 08:52
ZZXXQQ: @是相对坐标。后面应该跟坐标数,无坐标时为前一点。
谢谢ZZXXQQ版主,爱死你了
lhsjms009 2015-11-28 15:31
谢谢解答!
ZZXXQQ 2015-11-22 09:08
1、取图中全部图块;
2、循环对每个图块处理。
铁血秦狼 2015-11-21 15:20
http://bbs.mjtd.com/thread-170232-1-1.html大神能不能帮我知道一下,我平时只会一些小的程序编写,这个问题主要是依据编码提取同类型图块进入到一个新层,我只会提取单个(setq dgxj (ssget "X" (list (list -3 (list "SOUTH" (cons 1000 "201102")))))),但是如何进行批量提取并放置在某个新建层中,还望大神指点迷津
铁血秦狼 2015-11-21 12:18
大神你可不可以帮我指导一下这个问题http://bbs.mjtd.com/thread-170232-1-1.html
ZZXXQQ 2015-9-19 08:44
http://bbs.mjtd.com/forum.php?mod=viewthread&tid=87846
查看全部
最近访客

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2018-10-23 15:47 , Processed in 0.106536 second(s), 27 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

返回顶部